Source: ruby-jquery-rails
Version: 4.0.5-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

ruby-jquery-rails fails to build from source in unstable/amd64:

  [..]

  Selecting previously unselected package ruby2.3.
  Preparing to unpack .../ruby2.3_2.3.1-5_amd64.deb ...
  Unpacking ruby2.3 (2.3.1-5) ...
  Selecting previously unselected package ruby.
  Preparing to unpack .../ruby_1%3a2.3.0+4_amd64.deb ...
  Unpacking ruby (1:2.3.0+4) ...
  Selecting previously unselected package rake.
  Preparing to unpack .../archives/rake_10.5.0-2_all.deb ...
  Unpacking rake (10.5.0-2) ...
  Selecting previously unselected package gem2deb-test-runner.
  Preparing to unpack .../gem2deb-test-runner_0.30.3_amd64.deb ...
  Unpacking gem2deb-test-runner (0.30.3) ...
  Selecting previously unselected package libgmpxx4ldbl:amd64.
  Preparing to unpack .../libgmpxx4ldbl_2%3a6.1.1+dfsg-1_amd64.deb ...
  Unpacking libgmpxx4ldbl:amd64 (2:6.1.1+dfsg-1) ...
  Selecting previously unselected package libgmp-dev:amd64.
  Preparing to unpack .../libgmp-dev_2%3a6.1.1+dfsg-1_amd64.deb ...
  Unpacking libgmp-dev:amd64 (2:6.1.1+dfsg-1) ...
  Selecting previously unselected package ruby2.3-dev:amd64.
  Preparing to unpack .../ruby2.3-dev_2.3.1-5_amd64.deb ...
  Unpacking ruby2.3-dev:amd64 (2.3.1-5) ...
  Selecting previously unselected package ruby-all-dev:amd64.
  Preparing to unpack .../ruby-all-dev_1%3a2.3.0+4_amd64.deb ...
  Unpacking ruby-all-dev:amd64 (1:2.3.0+4) ...
  Selecting previously unselected package ruby-setup.
  Preparing to unpack .../ruby-setup_3.4.1-9_all.deb ...
  Unpacking ruby-setup (3.4.1-9) ...
  Selecting previously unselected package gem2deb.
  Preparing to unpack .../gem2deb_0.30.3_amd64.deb ...
  Unpacking gem2deb (0.30.3) ...
  Selecting previously unselected package ruby-i18n.
  Preparing to unpack .../ruby-i18n_0.7.0-2_all.deb ...
  Unpacking ruby-i18n (0.7.0-2) ...
  Selecting previously unselected package ruby-json.
  Preparing to unpack .../ruby-json_1.8.3-1+b3_amd64.deb ...
  Unpacking ruby-json (1.8.3-1+b3) ...
  Selecting previously unselected package ruby-atomic.
  Preparing to unpack .../ruby-atomic_1.1.16-2+b6_amd64.deb ...
  Unpacking ruby-atomic (1.1.16-2+b6) ...
  Selecting previously unselected package ruby-thread-safe.
  Preparing to unpack .../ruby-thread-safe_0.3.5-3_all.deb ...
  Unpacking ruby-thread-safe (0.3.5-3) ...
  Selecting previously unselected package ruby-tzinfo.
  Preparing to unpack .../ruby-tzinfo_1.2.2-1_all.deb ...
  Unpacking ruby-tzinfo (1.2.2-1) ...
  Selecting previously unselected package ruby-activesupport.
  Preparing to unpack .../ruby-activesupport_2%3a4.2.6-1_all.deb ...
  Unpacking ruby-activesupport (2:4.2.6-1) ...
  Selecting previously unselected package libxslt1.1:amd64.
  Preparing to unpack .../libxslt1.1_1.1.28-4_amd64.deb ...
  Unpacking libxslt1.1:amd64 (1.1.28-4) ...
  Selecting previously unselected package ruby-nokogiri.
  Preparing to unpack .../ruby-nokogiri_1.6.8-1_amd64.deb ...
  Unpacking ruby-nokogiri (1.6.8-1) ...
  Selecting previously unselected package ruby-rails-deprecated-sanitizer.
  Preparing to unpack .../ruby-rails-deprecated-sanitizer_1.0.3-2_all.deb ...
  Unpacking ruby-rails-deprecated-sanitizer (1.0.3-2) ...
  Selecting previously unselected package ruby-rails-dom-testing.
  Preparing to unpack .../ruby-rails-dom-testing_1.0.6-1_all.deb ...
  Unpacking ruby-rails-dom-testing (1.0.6-1) ...
  Selecting previously unselected package ruby-blankslate.
  Preparing to unpack .../ruby-blankslate_3.1.3-1_all.deb ...
  Unpacking ruby-blankslate (3.1.3-1) ...
  Selecting previously unselected package ruby-builder.
  Preparing to unpack .../ruby-builder_3.2.2-4_all.deb ...
  Unpacking ruby-builder (3.2.2-4) ...
  Selecting previously unselected package ruby-erubis.
  Preparing to unpack .../ruby-erubis_2.7.0-3_all.deb ...
  Unpacking ruby-erubis (2.7.0-3) ...
  Selecting previously unselected package ruby-loofah.
  Preparing to unpack .../ruby-loofah_2.0.3-2_all.deb ...
  Unpacking ruby-loofah (2.0.3-2) ...
  Selecting previously unselected package ruby-rails-html-sanitizer.
  Preparing to unpack .../ruby-rails-html-sanitizer_1.0.3-2_all.deb ...
  Unpacking ruby-rails-html-sanitizer (1.0.3-2) ...
  Selecting previously unselected package ruby-actionview.
  Preparing to unpack .../ruby-actionview_2%3a4.2.6-1_all.deb ...
  Unpacking ruby-actionview (2:4.2.6-1) ...
  Selecting previously unselected package ruby-rack.
  Preparing to unpack .../ruby-rack_1.6.4-3_all.deb ...
  Unpacking ruby-rack (1.6.4-3) ...
  Selecting previously unselected package ruby-rack-test.
  Preparing to unpack .../ruby-rack-test_0.6.3-1_all.deb ...
  Unpacking ruby-rack-test (0.6.3-1) ...
  Selecting previously unselected package ruby-actionpack.
  Preparing to unpack .../ruby-actionpack_2%3a4.2.6-1_all.deb ...
  Unpacking ruby-actionpack (2:4.2.6-1) ...
  Selecting previously unselected package ruby-thor.
  Preparing to unpack .../ruby-thor_0.19.1-2_all.deb ...
  Unpacking ruby-thor (0.19.1-2) ...
  Selecting previously unselected package ruby-railties.
  Preparing to unpack .../ruby-railties_2%3a4.2.6-1_all.deb ...
  Unpacking ruby-railties (2:4.2.6-1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for libc-bin (2.22-13) ...
  Setting up libjs-jquery (1.12.4-1) ...
  Setting up libjs-jquery-ui (1.10.1+dfsg-1) ...
  Setting up openssl (1.0.2h-1) ...
  Setting up ca-certificates (20160104) ...
  Setting up rubygems-integration (1.10) ...
  Setting up ruby-did-you-mean (1.0.0-2) ...
  Setting up ruby-minitest (5.9.0-1) ...
  Setting up ruby-net-telnet (0.1.1-2) ...
  Setting up ruby-power-assert (0.3.0-1) ...
  Setting up ruby-test-unit (3.1.7-2) ...
  Setting up libyaml-0-2:amd64 (0.1.6-3) ...
  Setting up libgmpxx4ldbl:amd64 (2:6.1.1+dfsg-1) ...
  Setting up libgmp-dev:amd64 (2:6.1.1+dfsg-1) ...
  Setting up libxslt1.1:amd64 (1.1.28-4) ...
  Setting up rake (10.5.0-2) ...
  Setting up libruby2.3:amd64 (2.3.1-5) ...
  Setting up ruby2.3 (2.3.1-5) ...
  Setting up ruby2.3-dev:amd64 (2.3.1-5) ...
  Setting up ruby-all-dev:amd64 (1:2.3.0+4) ...
  Setting up ruby (1:2.3.0+4) ...
  Setting up gem2deb-test-runner (0.30.3) ...
  Setting up ruby-setup (3.4.1-9) ...
  Setting up gem2deb (0.30.3) ...
  Setting up ruby-i18n (0.7.0-2) ...
  Setting up ruby-json (1.8.3-1+b3) ...
  Setting up ruby-atomic (1.1.16-2+b6) ...
  Setting up ruby-thread-safe (0.3.5-3) ...
  Setting up ruby-tzinfo (1.2.2-1) ...
  Setting up ruby-activesupport (2:4.2.6-1) ...
  Setting up ruby-nokogiri (1.6.8-1) ...
  Setting up ruby-rails-deprecated-sanitizer (1.0.3-2) ...
  Setting up ruby-rails-dom-testing (1.0.6-1) ...
  Setting up ruby-blankslate (3.1.3-1) ...
  Setting up ruby-builder (3.2.2-4) ...
  Setting up ruby-erubis (2.7.0-3) ...
  Setting up ruby-loofah (2.0.3-2) ...
  Setting up ruby-rails-html-sanitizer (1.0.3-2) ...
  Setting up ruby-actionview (2:4.2.6-1) ...
  Setting up ruby-rack (1.6.4-3) ...
  Setting up ruby-rack-test (0.6.3-1) ...
  Setting up ruby-actionpack (2:4.2.6-1) ...
  Setting up ruby-thor (0.19.1-2) ...
  Setting up ruby-railties (2:4.2.6-1) ...
  Setting up ruby-jquery-rails-build-deps (4.0.5-1) ...
  Processing triggers for ca-certificates (20160104) ...
  Updating certificates in /etc/ssl/certs...
  173 added, 0 removed; done.
  Running hooks in /etc/ca-certificates/update.d...
  done.
  Processing triggers for libc-bin (2.22-13) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=f940359ce28c
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  
PWD=/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5
  OLDPWD=/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building ruby-jquery-rails 4.0.5-1 on amd64                                
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package ruby-jquery-rails
  dpkg-buildpackage: info: source version 4.0.5-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Pirate Praveen <prav...@debian.org>
   dpkg-source --before-build ruby-jquery-rails-4.0.5
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh clean --buildsystem=ruby --with ruby
     dh_testdir -O--buildsystem=ruby
     dh_auto_clean -O--buildsystem=ruby
        dh_ruby --clean
     dh_ruby --clean
     dh_clean -O--buildsystem=ruby
   debian/rules build
  dh build --buildsystem=ruby --with ruby
     dh_testdir -O--buildsystem=ruby
     dh_update_autotools_config -O--buildsystem=ruby
     dh_auto_configure -O--buildsystem=ruby
        dh_ruby --configure
     dh_auto_build -O--buildsystem=ruby
        dh_ruby --build
     dh_ruby --build
     dh_auto_test -O--buildsystem=ruby
        dh_ruby --test
   fakeroot debian/rules binary
  dh binary --buildsystem=ruby --with ruby
     dh_testroot -O--buildsystem=ruby
     dh_prep -O--buildsystem=ruby
     dh_installdirs -O--buildsystem=ruby
     dh_auto_install -O--buildsystem=ruby
        dh_ruby --install 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails
     dh_ruby --install
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Install files                                                               
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  install -d 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby
  install -D -m644 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/lib/jquery/rails/version.rb
 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby/jquery/rails/version.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/lib/jquery/rails/engine.rb
 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby/jquery/rails/engine.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/lib/jquery/rails.rb
 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby/jquery/rails.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/lib/jquery/assert_select.rb
 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby/jquery/assert_select.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/lib/jquery-rails.rb
 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/lib/ruby/vendor_ruby/jquery-rails.rb
  dh_installchangelogs -pruby-jquery-rails 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/CHANGELOG.md
 upstream
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Install Rubygems integration metadata                                       
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  generating gemspec at 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails/usr/share/rubygems-integration/all/specifications/jquery-rails-4.0.5.gemspec
  /usr/bin/ruby2.3 /usr/bin/gem2deb-test-runner
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Checking Rubygems dependency resolution on ruby2.3                          
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  
GEM_PATH=debian/ruby-jquery-rails/usr/share/rubygems-integration/all:/home/lamby/.gem/ruby/2.3.0:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all
 ruby2.3 -e gem\ \"jquery-rails\"
  /usr/lib/ruby/2.3.0/rubygems/dependency.rb:319:in `to_specs': Could not find 
'pkg-config' (~> 1.1.7) among 31 total gem(s) (Gem::LoadError)
  Checked in 
'GEM_PATH=debian/ruby-jquery-rails/usr/share/rubygems-integration/all:/home/lamby/.gem/ruby/2.3.0:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all',
 execute `gem env` for more information
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1438:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:68:in `block 
in gem'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:67:in 
`synchronize'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:67:in `gem'
        from -e:1:in `<main>'
  actionpack (4.2.6)
  actionview (4.2.6)
  activesupport (4.2.6)
  atomic (1.1.16)
  bigdecimal (1.2.8)
  blankslate (3.1.3)
  builder (3.2.2)
  did_you_mean (1.0.0)
  erubis (2.7.0)
  i18n (0.7.0)
  io-console (0.4.5)
  json (1.8.3)
  loofah (2.0.3)
  minitest (5.9.0)
  net-telnet (0.1.1)
  nokogiri (1.6.8)
  power_assert (0.2.7)
  psych (2.0.17)
  rack (1.6.4)
  rack-test (0.6.3)
  rails-deprecated_sanitizer (1.0.3)
  rails-dom-testing (1.0.6)
  rails-html-sanitizer (1.0.3)
  railties (4.2.6)
  rake (10.5.0)
  rdoc (4.2.1)
  test-unit (3.1.7)
  thor (0.19.1)
  thread_safe (0.3.5)
  tzinfo (1.2.2)
  ERROR: Test "ruby2.3" failed. Exiting.
  dh_auto_install: dh_ruby --install 
/home/lamby/temp/cdt.20160701162159.XltIaTFETg.ruby-jquery-rails/ruby-jquery-rails-4.0.5/debian/ruby-jquery-rails
 returned exit code 1
  debian/rules:6: recipe for target 'binary' failed
  make: *** [binary] Error 1

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: ruby-jquery-rails.4.0.5-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to